Blackbaud DonorCentral

System Requirements

System requirements are subject to change. Please ensure you have the latest information before making any purchase decisions. If you are running any other Blackbaud products, please refer to the System Requirements for those products separately.

Last updated: May 26, 2020

Workstation supported versions

Internet

While DonorCentral 4.0 is a hosted solution, users must have access to the Internet.

Software compatibility facts

All Microsoft products should be updated with the latest Service Packs available.

Operating systems

Workstations: Windows Vista, 7, or 8.

Servers: FIMS servers being used to upload data to DonorCentral must have Windows 2008 or later installed.

Web browsers

Certified browsers

DonorCentral 4.0 has been certified compatible with the following web browsers:

  • Internet Explorer 9/10/11
  • Mozilla Firefox (v46 or later)
  • Google Chrome (v50 or later)
    Default settings

    All browsers were tested on default settings. Any custom changes to the browser settings may cause compatibility issues.

    • Zoom levels higher than 100%.
    • If your browser blocks all cookies, you may experience problems logging in.
    • Compatibility View in Internet Explorer can cause issues and should be turned off.

     

      Disable pop-up blocker

      Your website should be added to the list of sites to allow pop-ups.

      • For Internet Explorer, go to Tools > Pop-up Blocker > Pop-up Blocker Settings.
      • For Firefox, go to Tools > Options > Content tab > Exceptions button.
      • For Chrome, go to Chrome Menu button > Settings > Show advanced settings.

      In the "Privacy" section, click the Content settings button.

      In the "Pop-ups" section, click Manage exceptions.